caseSettings の更新
[アーティクル]
01/26/2022
3 人の共同作成者
この記事の内容
名前空間: microsoft.graph.ediscovery
重要
Microsoft Graph のバージョンの /beta API は変更される可能性があります。 実稼働アプリケーションでこれらの API を使用することは、サポートされていません。 API が v1.0 で使用できるかどうかを確認するには、 バージョン セレクターを使用します。
電子情報開示 caseSettings オブジェクトのプロパティを更新 します。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可 」を参照してください。
アクセス許可の種類
アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント)
eDiscovery.ReadWrite.All
委任 (個人用 Microsoft アカウント)
サポートされていません。
アプリケーション
サポートされていません。
HTTP 要求
PATCH /compliance/ediscovery/cases/{caseId}/settings
名前
説明
Authorization
ベアラー {token}。必須。
Content-Type
application/json. Required.
要求本文
要求本文で 、caseSettings オブジェクトの JSON 表記を指定します。
応答
成功した場合、このメソッドは 204 No Content 応答コードを返します。
例
要求
PATCH https://graph.microsoft.com/beta/compliance/ediscovery/cases/{caseId}/settings
Content-Type: application/json
{
"redundancyDetection": {
"isEnabled": false,
"similarityThreshold": 70,
"minWords": 12,
"maxWords": 400000
},
"topicModeling": {
"isEnabled": false,
"ignoreNumbers": false,
"topicCount": 50,
"dynamicallyAdjustTopicCount": false
},
"ocr": {
"isEnabled": true,
"maxImageSize": 12000
}
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var caseSettings = new Microsoft.Graph.Ediscovery.CaseSettings
{
RedundancyDetection = new Microsoft.Graph.Ediscovery.RedundancyDetectionSettings
{
IsEnabled = false,
SimilarityThreshold = 70,
MinWords = 12,
MaxWords = 400000
},
TopicModeling = new Microsoft.Graph.Ediscovery.TopicModelingSettings
{
IsEnabled = false,
IgnoreNumbers = false,
TopicCount = 50,
DynamicallyAdjustTopicCount = false
},
Ocr = new Microsoft.Graph.Ediscovery.OcrSettings
{
IsEnabled = true,
MaxImageSize = 12000
}
};
await graphClient.Compliance.Ediscovery.Cases["{ediscovery.case-id}"].Settings
.Request()
.UpdateAsync(caseSettings);
const options = {
authProvider,
};
const client = Client.init(options);
const caseSettings = {
redundancyDetection: {
isEnabled: false,
similarityThreshold: 70,
minWords: 12,
maxWords: 400000
},
topicModeling: {
isEnabled: false,
ignoreNumbers: false,
topicCount: 50,
dynamicallyAdjustTopicCount: false
},
ocr: {
isEnabled: true,
maxImageSize: 12000
}
};
await client.api('/compliance/ediscovery/cases/{caseId}/settings')
.version('beta')
.update(caseSettings);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/compliance/ediscovery/cases/{caseId}/settings"]]];
[urlRequest setHTTPMethod:@"PATCH"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphEdiscoveryCaseSettings *caseSettings = [[MSGraphEdiscoveryCaseSettings alloc] init];
MSGraphEdiscoveryRedundancyDetectionSettings *redundancyDetection = [[MSGraphEdiscoveryRedundancyDetectionSettings alloc] init];
[redundancyDetection setIsEnabled: false];
[redundancyDetection setSimilarityThreshold: 70];
[redundancyDetection setMinWords: 12];
[redundancyDetection setMaxWords: 400000];
[caseSettings setRedundancyDetection:redundancyDetection];
MSGraphEdiscoveryTopicModelingSettings *topicModeling = [[MSGraphEdiscoveryTopicModelingSettings alloc] init];
[topicModeling setIsEnabled: false];
[topicModeling setIgnoreNumbers: false];
[topicModeling setTopicCount: 50];
[topicModeling setDynamicallyAdjustTopicCount: false];
[caseSettings setTopicModeling:topicModeling];
MSGraphEdiscoveryOcrSettings *ocr = [[MSGraphEdiscoveryOcrSettings alloc] init];
[ocr setIsEnabled: true];
[ocr setMaxImageSize: 12000];
[caseSettings setOcr:ocr];
NSError *error;
NSData *caseSettingsData = [caseSettings getSerializedDataWithError:&error];
[urlRequest setHTTPBody:caseSettingsData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
CaseSettings caseSettings = new CaseSettings();
RedundancyDetectionSettings redundancyDetection = new RedundancyDetectionSettings();
redundancyDetection.isEnabled = false;
redundancyDetection.similarityThreshold = 70;
redundancyDetection.minWords = 12;
redundancyDetection.maxWords = 400000;
caseSettings.redundancyDetection = redundancyDetection;
TopicModelingSettings topicModeling = new TopicModelingSettings();
topicModeling.isEnabled = false;
topicModeling.ignoreNumbers = false;
topicModeling.topicCount = 50;
topicModeling.dynamicallyAdjustTopicCount = false;
caseSettings.topicModeling = topicModeling;
OcrSettings ocr = new OcrSettings();
ocr.isEnabled = true;
ocr.maxImageSize = 12000;
caseSettings.ocr = ocr;
graphClient.compliance().ediscovery().cases("{caseId}").settings()
.buildRequest()
.patch(caseSettings);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewCaseSettings()
redundancyDetection := msgraphsdk.NewRedundancyDetectionSettings()
requestBody.SetRedundancyDetection(redundancyDetection)
isEnabled := false
redundancyDetection.SetIsEnabled(&isEnabled)
similarityThreshold := int32(70)
redundancyDetection.SetSimilarityThreshold(&similarityThreshold)
minWords := int32(12)
redundancyDetection.SetMinWords(&minWords)
maxWords := int32(400000)
redundancyDetection.SetMaxWords(&maxWords)
topicModeling := msgraphsdk.NewTopicModelingSettings()
requestBody.SetTopicModeling(topicModeling)
isEnabled := false
topicModeling.SetIsEnabled(&isEnabled)
ignoreNumbers := false
topicModeling.SetIgnoreNumbers(&ignoreNumbers)
topicCount := int32(50)
topicModeling.SetTopicCount(&topicCount)
dynamicallyAdjustTopicCount := false
topicModeling.SetDynamicallyAdjustTopicCount(&dynamicallyAdjustTopicCount)
ocr := msgraphsdk.NewOcrSettings()
requestBody.SetOcr(ocr)
isEnabled := true
ocr.SetIsEnabled(&isEnabled)
maxImageSize := int32(12000)
ocr.SetMaxImageSize(&maxImageSize)
caseId := "case-id"
graphClient.Compliance().Ediscovery().CasesById(&caseId).Settings().Patch(requestBody)
Import-Module Microsoft.Graph.Compliance
$params = @{
RedundancyDetection = @{
IsEnabled = $false
SimilarityThreshold = 70
MinWords = 12
MaxWords = 400000
}
TopicModeling = @{
IsEnabled = $false
IgnoreNumbers = $false
TopicCount = 50
DynamicallyAdjustTopicCount = $false
}
Ocr = @{
IsEnabled = $true
MaxImageSize = 12000
}
}
Update-MgComplianceEdiscoveryCaseSetting -CaseId $caseId -BodyParameter $params
応答
注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。
HTTP/1.1 204 No Content
cache-control: no-cache
client-request-id: e9fc7554-ca5e-0928-fc09-9c5825820c88
content-length: 0
request-id: 1f53bd55-f099-46cb-91df-8f5d466aba3a